<ui-view/>
<div class="grid">
  	<header class="row clearfix no-padding">
  		<div class="col-2-3">
  			<h2>Administrera användare</h2>
  		</div>
  	</header>
  	<div class="row clearfix">
		<div svab-feedback-target="admin.users.get"></div>
		<div svab-feedback-target="admin.users.edit"></div>
		<a ui-sref-active="active-link" ui-sref="user.administration.main">Tillbaka</a><br/>
	</div>
	<div class="row clearfix">
		<form novalidate>
		<fieldset>
		<div class="col-1-2 clearfix">
			<label>Filtrera:</label>
			<input ng-model="search"/>
		</div>
		</fieldset>
		</form>
	</div>
	<div class="row clearfix fake-table">
		<dir-pagination-controls class="col-1" boundary-links="true" on-page-change="goToPage(newPageNumber, oldPageNumber)"></dir-pagination-controls>			
		<ul class="col-1 clearfix">
			<li class="col-1 fake-row-heading clearfix">
				<ul class="col-5-6">
					<li class="col-1-6 fake-heading">Personnr</li>
					<li class="col-1-3 fake-heading">Namn</li>
					<li class="col-1-3 fake-heading">Återförsäljare</li>
					<li class="col-1-6 fake-heading">Pris</li>
				</ul>
			</li>
			<li class="col-1 fake-row clearfix" dir-paginate="user in users | itemsPerPage: limit | orderBy:'userName' | filter: search " total-items="total">
				<ul class="col-5-6" ng-class="{divestment: user.userStatus == 0}">
					<li class="col-1-6"><span>{{user.userName}}</span></li>
					<li class="col-1-3">
						<span>{{user.firstName}} {{user.lastName}}</span><span ng-show="user.userStatus == 0"> - INAKTIV</span>
					</li>
					<li class="col-1-3"><span>{{user.resellerName}}</span></li>
					<li class="col-1-6"><span>{{user.price}}</span></li>
				</ul>
				<ul class="col-1-6 edit-this">
					<li class="col-1">
						<span class="edit" ng-click="editUser(user)">Redigera</span>
						<span class="divider">|</span>
						<span class="edit" ng-show="user.userStatus == 0" ng-click="activate(user)">Aktivera</span>
						<span class="delete" ng-hide="user.userStatus == 0" ng-click="inactivate(user)">Inaktivera</span>
					</li>
				</ul>
			</li>
		</ul>	
	</div>
</div>